osgSim::OverlayNode::OverlayData Struct Reference

`#include <OverlayNode>`

Inheritance diagram for osgSim::OverlayNode::OverlayData:

## Public Member Functions

void | setThreadSafeRefUnref (bool threadSafe)
void | resizeGLObjectBuffers (unsigned int maxSize)
void | releaseGLObjects (osg::State *state=0) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::Camera > | _camera
osg::ref_ptr< osg::StateSet > | _overlayStateSet
osg::ref_ptr< osg::StateSet > | _mainSubgraphStateSet
osg::ref_ptr< osg::TexGenNode > | _texgenNode
osg::ref_ptr< osg::Texture2D > | _texture
osg::Polytope | _textureFrustum
osg::ref_ptr< osg::Geode > | _geode
osg::ref_ptr< osg::Program > | _mainSubgraphProgram
osg::ref_ptr< osg::Uniform > | _y0
osg::ref_ptr< osg::Uniform > | _lightingEnabled

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## releaseGLObjects()

void osgSim::OverlayNode::OverlayData::releaseGLObjects | ( | osg::State * | state = 0 | ) | const

## resizeGLObjectBuffers()

void osgSim::OverlayNode::OverlayData::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

## setThreadSafeRefUnref()

void osgSim::OverlayNode::OverlayData::setThreadSafeRefUnref | ( | bool |  | ) |

virtual

Deprecated, Referenced is always theadsafe so there method now has no effect and does not need to be called.

Reimplemented from osg::Referenced.

## Member Data Documentation

## _camera

osg::ref_ptr<osg::Camera> osgSim::OverlayNode::OverlayData::_camera

## _geode

osg::ref_ptr<osg::Geode> osgSim::OverlayNode::OverlayData::_geode

## _lightingEnabled

osg::ref_ptr<osg::Uniform> osgSim::OverlayNode::OverlayData::_lightingEnabled

## _mainSubgraphProgram

osg::ref_ptr<osg::Program> osgSim::OverlayNode::OverlayData::_mainSubgraphProgram

## _mainSubgraphStateSet

osg::ref_ptr<osg::StateSet> osgSim::OverlayNode::OverlayData::_mainSubgraphStateSet

## _overlayStateSet

osg::ref_ptr<osg::StateSet> osgSim::OverlayNode::OverlayData::_overlayStateSet

## _texgenNode

osg::ref_ptr<osg::TexGenNode> osgSim::OverlayNode::OverlayData::_texgenNode

## _texture

osg::ref_ptr<osg::Texture2D> osgSim::OverlayNode::OverlayData::_texture

## _textureFrustum

osg::Polytope osgSim::OverlayNode::OverlayData::_textureFrustum

## _y0

osg::ref_ptr<osg::Uniform> osgSim::OverlayNode::OverlayData::_y0

The documentation for this struct was generated from the following file:

- OverlayNode